### Virtual Method

# Foundry SearchResult load

#### Declaration [src]

    DexFuture*
    load (
      FoundrySearchResult* self
    )

#### Description [src]

Loads the contents of the search result.

The consumer of this should know how to handle the specific object type by checking it’s `GType`.

For example, if the result is a `FoundryDocumentation` then you may want to check it’s URI property to open the documentation.

It is expected that search providers load well known object types which applications can reasonably handle.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GObject`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.